+++
title = "the tildeverse RFC system"
draft = false
+++

## Tildeverse RFC system

> ...The RFC system for tilde boxes will be hosted at https://rfc.tildeverse.org/ and on the tildeverse gitea as <a href="https://tildegit.org/tildeverse/rfcs">tildeverse/rfcs</a>...
>
> ...RFC documents are simply requests. They are for simple things like defining how something should work or how something should be done.
> 
> Standards documents are like mandates. They require something. For example, this document requires a would-be submitter to follow this format for RFCs. A Standards document can be amended by RFC documents, and any RFC documents in violation of a Standards document, unless otherwise stated within the Standards document, are invalid.
>
> <footer>
>     <cite>
>         <a href="/rfcs/0">RFC 0: Standard 1: RFC Format and Semantics</a> by <a href="https://tilde.team/~khuxkm/">Robert Miles</a> (aka khuxkm)
>     </cite>
> </footer>

This system aims to help codify some things about Tildeverse tilde servers.

### Submission guidelines ([from the standard](@/rfcs/0.md))

An RFC should be submitted as a pull request to the [git repo](https://tildegit.org/tildeverse/rfcs). It should add a single Markdown within the `content/rfcs/` folder, named according to what your RFC is supposed to achieve. For example, a draft name for an RFC to make tilde.chat allow IRC connections without SSL could be `draft-tilde-chat-without-ssl.md`.

Your RFC stays a draft until it is accepted. If or when an RFC is accepted, it will be assigned a number `n`. The draft is renamed `rfc{{n}}.md`, and in its frontmatter, the status must be changed to `Accepted` and the number tag must contain the assigned number. When you finish doing this, the PR will be merged.
